/create-auth-method-azure-adAsk AIpost https://api.akeyless.io/create-auth-method-azure-adBody Paramsaccess-expiresint64Defaults to 0Access expiration date in Unix timestamp (select 0 for access without expiry date)allowed-client-typearray of stringslimit the auth method usage for specific client types [cli,ui,gateway-admin,sdk,mobile,extension]allowed-client-typeADD stringaudiencestringDefaults to https://management.azure.com/Deprecated (Deprecated) The audience in the JWTaudit-logs-claimsarray of stringsSubclaims to include in audit logs, e.g "--audit-logs-claims email --audit-logs-claims username"audit-logs-claimsADD stringbound-group-idarray of stringsA list of group ids that the access is restricted tobound-group-idADD stringbound-ipsarray of stringsA CIDR whitelist with the IPs that the access is restricted tobound-ipsADD stringbound-providersarray of stringsA list of resource providers that the access is restricted to (e.g, Microsoft.Compute, Microsoft.ManagedIdentity, etc)bound-providersADD stringbound-resource-idarray of stringsA list of full resource ids that the access is restricted tobound-resource-idADD stringbound-resource-namesarray of stringsA list of resource names that the access is restricted to (e.g, a virtual machine name, scale set name, etc).bound-resource-namesADD stringbound-resource-typesarray of stringsA list of resource types that the access is restricted to (e.g, virtualMachines, userAssignedIdentities, etc)bound-resource-typesADD stringbound-rg-idarray of stringsA list of resource groups that the access is restricted tobound-rg-idADD stringbound-spidarray of stringsA list of service principal IDs that the access is restricted tobound-spidADD stringbound-sub-idarray of stringsA list of subscription ids that the access is restricted tobound-sub-idADD stringbound-tenant-idstringrequiredThe Azure tenant id that the access is restricted todelete_protectionstringProtection from accidental deletion of this object [true/false]descriptionstringAuth Method descriptionexpiration-event-inarray of stringsHow many days before the expiration of the auth method would you like to be notified.expiration-event-inADD stringforce-sub-claimsbooleanif true: enforce role-association must include sub claimstruefalsegw-bound-ipsarray of stringsA CIDR whitelist with the GW IPs that the access is restricted togw-bound-ipsADD stringissuerstringDefaults to https://sts.windows.net/---bound_tenant_id---Issuer URLjsonbooleanDefaults to falseSet output format to JSONtruefalsejwks-uristringDefaults to https://login.microsoftonline.com/common/discovery/keysThe URL to the JSON Web Key Set (JWKS) that containing the public keys that should be used to verify any JSON Web Token (JWT) issued by the authorization server.jwt-ttlint64Defaults to 0Jwt TTLnamestringrequiredAuth Method nameproduct-typearray of stringsChoose the relevant product type for the auth method [sm, sra, pm, dp, ca]product-typeADD stringtokenstringAuthentication token (see /auth and /configure)uid-tokenstringThe universal identity token, Required only for universal_identity authenticationunique-identifierstringA unique identifier (ID) value which is a "sub claim" name that contains details uniquely identifying that resource. This "sub claim" is used to distinguish between different identities.Responses 200createAuthMethodAzureADResponse wraps response body. defaulterrorResponse wraps any error to return it as a JSON object with one "error" field.Updated 7 months ago